Qore MysqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Private Member Functions | List of all members
MysqlSqlUtil::MysqlFunction Class Reference

represents a MySQL-specific function More...

Inheritance diagram for MysqlSqlUtil::MysqlFunction:
[legend]

## Public Member Functions
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql ()
| returns a string that can be used to drop the function from the database
softlist | getRenameSql (string new_name)
| returns a string that can be used to rename the function in the database

## Private Member Functions
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a MySQL-specific function